Axiomatic

Reports

Financial statements

Generate a financial report

GET
/api/reports
x-api-key<token>

API key for programmatic access

In: header

Query Parameters

entityId*string
Formatuuid
bookId*string
Formatuuid
report*string
Value in"balance_sheet" | "income_statement" | "cash_flow" | "general_ledger"
asOfDate?string

Used by balance_sheet

Formatdate
fromDate?string

Used by income_statement, cash_flow, general_ledger

Formatdate
toDate?string

Used by income_statement, cash_flow, general_ledger

Formatdate

Response Body

application/json

application/json

application/json

curl -X GET "https://app.axiomatic.us/api/reports?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08&bookId=497f6eca-6276-4993-bfeb-53cbbbba6f08&report=balance_sheet"
{
  "report": "balance_sheet",
  "asOfDate": "2019-08-24",
  "assets": {},
  "liabilities": {},
  "equity": {},
  "totalAssets": 0,
  "totalLiabilities": 0,
  "totalEquity": 0,
  "isBalanced": true
}
{
  "error": "string"
}
{
  "error": "string"
}